# DIGITAL TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents

Sets the proxy and case-sensitivity flags for the RSH service.

# SHOW ARP

> Displays ARP information.

> Related command: SET ARP

> Applies to: Routing

## Format

> ### SHOW ARP [host] [/LOCAL]

## PARAMETERS

> ### host

> Optional. Default: All hosts.

> Host about which you want information.

## QUALIFIERS

> ### /LOCAL

> Optional. Default: The command checks the hosts database and, if a lookup fails, it also checks the BIND resolver.

> Limits name-to-address lookups to the local hosts database.

##

### Examples

#1

    UCX> SHOW ARP
                                  ARP table entries

    Ethernet           Internet        Host name           ARP status
    AA-00-04-00-67-FA  150.110.4.191                       INUSE CMPL TRAIL
                       150.110.5.117   host_1              INUSE
    AA-00-04-00-49-4E  150.110.5.109   host_2              INUSE CMPL
    08-00-2B-03-1F-81  150.110.5.31    host_3              INUSE CMPL PERM

    AA-00-04-00-6A-4E  150.110.4.2     host_4              INUSE CMPL PERM PUB

> The following list explains the information displayed in the example.

> - Entry 1 --- This host is not entered in the hosts database. It supports trailer headers.
> - Entry 2 --- This entry is incomplete; the remote host may be unreachable, or an answer may not yet have been received to the ARP request (CMPL not present).
> - Entry 4 --- This entry is permanent. Entries 1, 2, and 3 will time out.
> - Entry 5 --- This entry is permanent and public. This host will respond to ARP requests for host_4. No other entries will be propagated to remote hosts.

#2

    UCX> SHOW ARP cuckoo
                                 ARP table entries

    Ethernet           Internet        Host name         ARP status
    O8-CC-2B-12-C2-BB  11.170.6.45     cuckoo            INUSE CMPL TRAIL

> Displays ARP status for host cuckoo.

# SHOW BIND

> See the SHOW MAP command.

# SHOW BOOTP

> Displays client entries in the BOOTP database.

> Related commands: SET BOOTP

> Applies to: BOOTP

## Format

> ### SHOW BOOTP [host] [/HARDWARE=ADDRESS=hex_address | /LOCAL | /OUTPUT=file]

## PARAMETERS

> ### host

> Optional. Default: Displays all entries.

> Host entry you want displayed.

## QUALIFIERS

> ### /HARDWARE=ADDRESS=hex_address

> Optional. Default: None.

> Identifies the entry by hardware address.

> Specify the address as hh-hh-hh-hh-hh-hh.

> ### /LOCAL

> Optional. Default: The command checks the hosts database and, if a lookup fails, it also checks the BIND resolver.

> To display hardware-address/IP-identification matches, limits host-name-to-IP-address lookup for each entry in the BOOTP database to the local hosts database.

> ### /OUTPUT=file

> Optional. Default: Screen display.

> Output is directed to the specified file.

##

### Examples

#1

    UCX> SHOW BOOTP MYNA /FULL

    Host:         17.22.222.255   myna
                                            Hardware Address: 07-06-2B-05-04-03
    Network mask: 255.0.0.0                          Type:    Ethernet
    File:         MYNA.SYS

    Time offset:            0               Vendor: Birds, Inc.

    Gateways:     not defined

    Servers:
     Cookie:      not defined
     IEN:         not defined
     Impress:     not defined
     Log:         not defined
     LPR:         not defined
     Name:        owl.wise.mouser.edu
     Resource:    not defined
     Time:        not defined
    UCX>

> Displays the entry for client myna in the BOOTP database. When myna requests a download, UCX sends system image MYNA.SYS.

# SHOW CFS

> Displays statistical information about OpenVMS and container file systems.

> The NFS server software must be active.

> Related commands: SHOW NFS

> Applies to: NFS server

## Format

> ### SHOW CFS [/CONTINUOUS[=n] | /PARAMETERS | /SUMMARY]

## QUALIFIERS

> ### /CONTINUOUS[=n]

> Optional. Default: Static display; /CONTINUOUS=4.

> Continuously updates the screen display.

> To terminate the display, type Ctrl/Z.

> ### /PARAMETERS

> Optional.

> Displays the parameters.

> ### /SUMMARY

> Optional.

> Displays:

> - Wait states
> - Data cache performance
> - Summary of allocated services and resources

##

### Examples

#1

    UCX> SHOW CFS

            CFS Services                          VAX/VMS System Services
    ------------------------     -------------------------------------------------
    CLOSE                329
    CREATE_FH             14     $ASSIGN           352     $QIO                  0
    CREDIR_FH             22     $DASSGN           351         Access          315
    FREEBUFF              06                                   Create           36
    GETATTR              583     $DEQ            10020         Deaccess        351
    LINK_FH                1     $ENQ            30806
    LOOKUP_FH           4520                                   Read_attr      9580
    OPEN_FH              315     $EXPREG           124         Write_attr      379
    READ                 338     $SETPRT            58
    .
    .
    .

#2

    UCX> SHOW CFS /SUMMARY

                       CFS Service status and performance    02-NOV-1997 17:03:46.52

    Service State    Cur  Max    Total     Cacheop  Cur  Hit  I/O  Inc   Status
    ---------------  ---  ---  ---------   ------- ---- ---- ---- ---- -----------
    FP-Access          0    1         12   Read       0    0    0    0 Clusize   16
    FP-Attributes      0    1         75   Read-A     0    0    0    0 Limit    256
    FP-Delete          0    0          0   Write      0    0    0    0 Inuse      0
    FP-Dir             0    1         17   Write-A    0    0    0    0 Busy       0
    FP-Rename          0    0          0   Write-D    0                Hitrate    0
    FP Sub_total       0    1        104
    Buffered           0    0          0   Nameop   Cur  Hit     Status
    Internal           0    1          1   ------  ---- ----  -------------
    I/O                0    0          0   Add        0       Tabsize     0
    Lock               0    0          0   Delete     0       Inuse       0
    Logging            0    0          0   Lookup     0    0  Hitrate     0
    Resource           0    0          0
    RMS                0    0          0   Fileop   Cur  Hit     Status
    Service            0    1          1   ------  ---- ----  -------------
    Timer              0    1         18   Find       0    0  Limit       0
    Other              0    0          0   Find-A          0  Inuse       0
    Synch              0    1         21   Find-C          0  Timeout     5
                                                              Hitrate     0

    Services count     1    2         89   ATCBs:  2 TBABs: 32 RDCBs:   6 Pages:  2

> Displays service wait states, data cache performance, and a summary of services and resources.

#3

    UCX> SHOW CFS /PARAMETERS

                            CFS PARAMETERS

         Data cache
            Size             256
            Low limit        4
            High limit       8

         Attribute cache     Disabled
            Size             0
            Timeout          Not defined

         Name cache          Disabled
            Size             0

         Transfer size       8192
         Write size          8192

         Output fatal messages to device: _OPA0:

> Displays file system information.

# SHOW COMMUNICATION

> Displays the settings and status for the IP, TCP, UDP, and INET_ACP software, including routing, buffers, and sockets, on the running system.

> Related Commands: SET COMMUNICATION

## Format

> ### SHOW COMMUNICATION [/CONTINUOUS[=n] | /FULL | /MEMORY | /ROUTE | /SECURITY]

## QUALIFIERS

> ### /CONTINUOUS[=n]

> Optional. Default: Static display; /CONTINUOUS=4.

> Screen update interval, in seconds.

> - Valid only in conjunction with /MEMORY
> - To terminate the display, type Ctrl/Z.

> ### /FULL

> Optional.

> Displays detailed information for each buffer type.

> - Valid only in conjunction with /MEMORY
> - Not valid with /CONTINUOUS

> ### /MEMORY

> Optional.

> Displays settings for the static buffers.

> - Valid with /CONTINUOUS
> - Valid with /FULL

> ### /ROUTE

> Optional.

> Displays routing settings.

> ### /SECURITY

> Optional. Default: Brief.

> Displays the security settings of the following SET COMMUNICATION qualifiers:

> - /ACCEPT=option:options
> - /ALLOW_LOG_OPTIONS=options
> - /FORCE_LOG_OPTIONS=options
> - /REJECT=option:options

##

### Examples

#1

    UCX> SHOW COMMUNICATION

    Communication Parameters

    Local host:      LARK                  Domain:   kiwi.down.under.com

    Cluster timer:             0
                                     Maximum     Current        Peak
    Interfaces                            20           3           3
    Device_sockets                       200          32          46
    Routes                             65535           3           3
    Services                             200          17          21
    Proxies                               49

    Type:        Ethernet   Free     Maximum   Max Bytes     Minimum   Min
    Bytes
    Large buffers             20         110      207680          10
    18880
    Small buffers            150        1000      256000          50
    12800
    IRPs                      20         200
    Non UCX buffers           10

    Remote Terminal
      Large buffers:          10
      UCBs:                    4
      Virtual term:     disabled
    UCX>

> Displays current settings for routing, transport, and other SET COMMUNICATION values that affect all the running services.

#2

    UCX> SHOW COMMUNICATION /FULL /MEMORY

    MBUF Type:  Small_static                  Free    1  Total buffers        50
       Header   8  Socket        20  Prot. control   15  IP address            3
       Data     0  Socket name    0  Socket options   0  Fragment reassembly   0
       Route    3
       Size of cluster        13056

    MBUF Type:  Large_static                  Free    9  Total buffers        10
       Header   0  Socket         0  Prot. control    0  IP address            0
       Data     1  Socket name    0  Socket options   0  Fragment reassembly   0
       Route    0
       Size of cluster        19136

    MBUF Type:  Small_dynamic                 Free   17  Total buffers        50
       Header  10  Socket        12  Prot. control   11  IP address            0
       Data     0  Socket name    0  Socket options   0  Fragment reassembly   0
       Route    0
       Size of cluster        13112

    UCX>

> Displays status, routing, transport, and socket information from the small static, large static, and small dynamic buffers.

# SHOW CONFIGURATION

> Displays the information in the configuration database. This database, read by the UCX startup procedure, holds information to:
> - Configure the lower-layer protocols, including dynamic routing
> - Configure and enable the internet interfaces
> - Configure the services you want enabled at UCX startup
> - Configure the BIND resolver
> - Configure the BIND server, including the default domain
> - Configure SMTP
> - Configure SNMP
> - Configure TIME
> - Map file systems

> Because the SET CONFIGURATION commands do not take effect until the next UCX startup, the SHOW CONFIGURATION command might not display the current settings for the running software. For example, the information you see from SHOW CONFIGURATION PROTOCOL might differ from the SHOW PROTOCOL /PARAMETERS output.

> Related commands: All the SET CONFIGURATION commands

## Format

> ### SHOW CONFIGURATION {component | ENABLE SERVICE [service] | START ROUTING} [/COMMON | /FULL | /OUTPUT=file]

## PARAMETERS

> ### component

> Required if you do not specify ENABLE SERVICE or START ROUTING.

> Component, defined in the configuration database, whose configuration you want to display.

> ### ENABLE SERVICE [service]

> Required if you do not specify component or START ROUTING.

> Displays either the specified component or all the components that are enabled by the UCX startup procedure.

> ### START ROUTING

> Required if you do not specify component or ENABLE SERVICE.

> Shows whether or not routing is configured to start running by the UCX startup procedure.

## QUALIFIERS

> ### /COMMON

> Optional. Default: Node-specific.

> Valid only with SHOW CONFIGURATION ENABLE SERVICE.

> Displays the information in the configuration database for the clusterwide enabling or disabling of services.

> ### /FULL

> Optional. The default is to give a brief listing of the information.

> Displays complete information.

> Valid with the component parameter.

> Not valid with TIME.

> ### /OUTPUT=file

> Optional. Default: Screen display.

> Writes output to the specified file.

##

### Examples

#1

    UCX> SHOW CONFIGURATION ENABLE SERVICE

    Enable service

     FTP, FTP_CLIENT, LPD, LPD_CLIENT, MOUNT, NFS, NFS_CLIENT, PCNFS,
      PORTMAPPER, REXEC, RSH, SMTP, SNMP

> Displays the services configured in the services database that will be enabled by the UCX startup procedure.

#2

    UCX> SHOW CONFIGURATION START ROUTING
    Dynamic Routing Configuration

    Supply:     Enabled
    Log:        Disabled
    UCX>

> Displays the permanent routing configuration.

#3

    UCX> SHOW CONFIGURATION NAME_SERVICE
    BIND Resolver Configuration

      Transport:  UDP
      Domain:
      Retry:         4
      Timeout:       4
      Servers:    11.20.208.10, 11.20.208.53
    UCX>

> Displays, from the configuration database, the BIND resolver configuration.

#4

    UCX> SHOW CONFIGURATION INTERFACE

     Interface: DE1
       IP_Addr: 11.20.208.100     NETWRK: 255.255.0.0  BRDCST: 11.20.255.255

     Interface: LO0
       IP_Addr: 137.0.0.1         NETWRK: 255.0.0.0    BRDCST:
    UCX>

> Displays the permanent definition of internet interfaces DE1 and LO0.

#5

    UCX> SHOW CONFIGURATION COMMUNICATION

    Communication Configuration

    Local host:      LARK                   Domain:   kiwi.down.under.com

    Cluster timer:               0

    Interfaces:                  0          Type:     Default
    Device_sockets:            200
    Routes:                      0
    Services:                    0
    Proxies:                     0

                              Free     Maximum   Minimum
    Large buffers                0         110         0
    Small buffers                0           0         0
    IRPs                         0           0
    Non UCX buffers              0

    Remote Terminal
      Large buffers:             0
      UCBs:                      0
      Virtual term:     disabled
    UCX>

> For host LARK, displays the permanent settings and status for the IP, TCP, UDP, and INET_ACP software, including routing, buffers, and sockets. This configuration overrides default settings when the system starts up.

#6

    UCX> SHOW CONFIGURATION SMTP

    SMTP Configuration
                                                                       Options
    Initial interval:   0 00:30:00.00       Address_max:    16       NOEIGHT_BIT
    Retry interval:     0 01:00:00.00       Hop_count_max:  16       NORELAY
    Maximum interval:   3 00:00:00.00                                HEADERS

    Timeout             Initial       Mail    Receipt       Data  Terminate
      Send:                   5          5          5          3         10
      Receive:                5

    Alternate gateway:  not defined
    General gateway:    not defined

    Substitute domain:  not defined
    Zone:               not defined

    Postmaster:         UCX_SMTP
    Log file:           SYS$SPECIFIC:[UCX_SMTP]UCX$SMTP_LOGFILE.LOG

    Generic queue       Queues   Participating nodes

    UCX$SMTP_CRANE_00     1     CRANE

> Displays the SMTP configuration.

# SHOW DEVICE_SOCKET

> Displays:
> - Device socket counters
> - Values previously set with SET COMMUNICATION
> - Current settings from the running communications software

> (A device socket is composed of two parts: the internet device (interface) and the socket.)

## Format

> ### SHOW DEVICE_SOCKET [device_socket] [/CONTINUOUS[=n] | /FULL | /HOST=host | /[NO]LOCAL | /PORT=n | /SERVICE=service | /TYPE=socket_type]

## PARAMETERS

> ### device_socket

> Optional. Default: All device sockets.

> Device socket for which you want information.

> Specify the characters BG and the device's unit number, for example, BG3, BG17.

## QUALIFIERS

> ### /CONTINUOUS[=n]

> Optional. Default: Static display; /CONTINUOUS=4.

> Automatically updates the display.

> Screen update interval in seconds. Valid only for a specific device socket.

> To terminate the display, type Ctrl/Z.

> ### /FULL

> Optional. The default is to give a brief listing of the information.

> Displays complete information, including:

> - Application option settings, for example, ACCEPT or FULL_DUPLEX_CLOSE
> - State of the service
> - Counters for receiving and sending buffers

> ### /HOST=host

> Optional. Default: All hosts.

> Displays information for device sockets bound to the specified host.

> This does not include device sockets bound to the "ANY host" (Address 0.0.0.0).

> ### /LOCAL

> ### /NOLOCAL

> Optional. Default: /LOCAL.

> Displays information for device sockets bound to hosts in the local hosts database.

> /NOLOCAL: Displays information for device sockets bound to hosts in the hosts database and hosts known by the BIND resolver.

> ### /PORT=n

> Optional. Default: All local ports.

> Displays information for device sockets bound to the specified local port.

> ### /SERVICE=service

> Optional. Default: All services.

> Displays information for device sockets used for the specified service.

> ### /TYPE=socket_type

> Optional. Default: /TYPE=ALL.

> Displays information for the specified type of device socket. Specify one:

> - STREAM
> - DGRAM
> - RAW_IP

##

### Examples

#1

    UCX> SHOW DEVICE_SOCKET BG21 /FULL

    Device_socket: bg21   Type: STREAM      LOCAL         REMOTE
                           Port:            515                0
                           Host:     0.0.0.0             0.0.0.0
                           Service:  LPD

                                                       RECEIVE      SEND
                               Queued I/O                    0         0
           Q0LEN    0          Socket buffer bytes           0         0
           QLEN     0          Socket buffer quota        4096      4096
           QLIMIT   5          Total buffer alloc            0         0
           TIMEO    0          Total buffer limit        16384     16384
           ERROR    0          Buffer or I/O waits           0         0
           OOBMARK  0          Buffer or I/O drops           0         0
                               I/O completed                 0         0
                               Bytes transferred             0         0

      Options:  ACCEPT REUSEADR FDCLOSE
      State:    PRIV
      RCV Buff: None
      SND Buff: None

> Displays complete information about device socket BG21, including the options that are set, for example, the FULL_DUPLEX_CLOSE option.

> (With the FULL_DUPLEX_CLOSE option set, the first data transmission on a TCP connection that has been closed by the remote application returns an EPIPE error. Subsequent send operations on the half-closed socket proceed normally.)

> The following table describes the counters in the first column of the display.

> Counter | Meaning
> --- | ---
> Q0LEN | Number of sockets that are about to be connected to the specified socket
> QLEN | Number of sockets that have established a connection but have not yet been accepted by the specified socket
> QLIMIT | Number of sockets for the Q0LEN and QLEN sockets
> TIMEO | Not used
> ERROR | Error code temporarily stored on the socket
> OOBMARK | Out-of-band mark

#2

    UCX> SHOW DEVICE_SOCKET BG75 /CONTINUOUS=10

> Displays information about device socket BG75 every 10 seconds.

#3

    UCX> SHOW DEVICE_SOCKET /HOST="lark"

> Displays information about all device sockets for remote host lark.

# SHOW EXPORT

> Displays NFS clients with the local NFS directories that are accessible to them.

> Related commands: ADD EXPORT, REMOVE EXPORT

> Applies to: NFS server

## Format

> ### SHOW EXPORT ["/path/name"] [/HOST=host | /OUTPUT=file]

## Restrictions

> Requires read access to the export database.

## PARAMETERS

> ### "/path/name"

> Optional. Default: All exported file systems.

> Exported files for which to show access rights.

> To specify multiple directory names, separate them with slashes.

## QUALIFIERS

> ### /HOST=host

> Optional. Default: /HOST=*(all hosts).

> NFS client hosts for which you want to display access rights.

> ### /OUTPUT=file

> Optional. Default: Screen display. Sends output to the specified file.

##

### Examples

#1

    UCX> SHOW EXPORT

    File system                Host name

    /TOUCAN                    TOUCAN, toucan
    /talkers                   parrot
    /aviary_dua0               *
    /condor_root/root          condor
    /nene_d                    *
    /nfstest_unix/lark1        *
    /nfstest_unix/lark2        *
    /spoonbill                 dove, nuthatch, dove.tree.branch.com
                               toucan, oriole.tree.branch.com
    /spoonbill/birdy           dove, DOVE, nuthatch, thrush,
                               thrush.tree.branch.com
    /spoonbill/bigbirdy        dove

> Displays exported NFS file systems with the clients that have access rights.

# SHOW HOST

> Displays information from the hosts database.

> If the BIND resolver is enabled, information from the BIND database is also displayed.

> Related commands: SET HOST

## Format

> ### SHOW HOST [host] [/ADDRESS=IP_address | /DOMAIN=domain | /LOCAL | /OUTPUT=file | /SERVER=server]

## Restrictions

> Requires read access to the hosts database.

## PARAMETERS

> ### host

> Optional. Default: All hosts.

> Host with which the local host communicates.

> All alias names for the specified host are displayed.

> - If a host has more than one IP address and you specify the name, all its addresses and aliases are displayed.
> - If a host has multiple IP addresses and you specify an alias that is defined on multiple IP addresses, only the first IP address and aliases are displayed.
> - Hosts in the BIND database are displayed only if you do not specify the host parameter or if you use a wildcard.
> - If you use a wildcard to complete a host name, no BIND information is displayed.

## QUALIFIERS

> ### /ADDRESS=IP_address

> Optional. Default: None.

> Allows you to select a host by IP address.

> - If a host has more than one IP address and you specify the name, all IP addresses and aliases for the host are displayed.
> - If a host has multiple IP addresses and you specify an alias that is defined on multiple IP addresses, only the first IP address and aliases are displayed.
> - Recommended: Use the host parameter instead of this qualifier.

> ### /DOMAIN=domain

> Optional. Default: Name service domain.

> Domain to be used by the local host. However, the definition of the domain name is valid only during the execution of the current SHOW HOST command. The BIND request is sent to the specified domain.

> ### /LOCAL

> Optional. Default: The command checks the hosts database and, if a lookup fails, it checks the BIND resolver.

> Limits name-to-address lookups to the local hosts database.

> ### /OUTPUT=file

> Optional. Default: Screen display.

> Specifies a file for the output of the SHOW HOST command.

> ### /SERVER=server

> Optional. Default: Name server list.

> BIND servers to be used. The definition of the server name list is valid only during the execution of the current SHOW HOST command. The request is sent to the specified server.

> Previous | Next | Contents